org.springframework.web.socket.messaging

## Class SessionConnectedEvent

- java.lang.Object
- - java.util.EventObject
  - - org.springframework.context.ApplicationEvent
    - - org.springframework.web.socket.messaging.AbstractSubProtocolEvent
      - - org.springframework.web.socket.messaging.SessionConnectedEvent

All Implemented Interfaces:
  Serializable

    public class SessionConnectedEvent
    extends AbstractSubProtocolEvent

A connected event represents the server response to a client's connect request. See `SessionConnectEvent`.

Since:
  4.0.3
Author:
  Rossen Stoyanchev
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`SessionConnectedEvent(Object source, org.springframework.messaging.Message<byte[]> message)` Create a new SessionConnectedEvent.
`SessionConnectedEvent(Object source, org.springframework.messaging.Message<byte[]> message, Principal user)`

### Method Summary

### Methods inherited from class org.springframework.web.socket.messaging.AbstractSubProtocolEvent

`getMessage, getUser, toString`

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SessionConnectedEvent

    public SessionConnectedEvent(Object source,
                                 org.springframework.messaging.Message<byte[]> message)

Create a new SessionConnectedEvent.

Parameters:
  `source` - the component that published the event (never `null`)
  `message` - the connected message (never `null`)

#### SessionConnectedEvent

    public SessionConnectedEvent(Object source,
                                 org.springframework.messaging.Message<byte[]> message,
                                 @Nullable
                                 Principal user)